from suds.client import Client as BaseClient

class Client(BaseClient):
    """
    Client for PowerDNS service.

    Methods (SOAP):

        addNativeDomain(xs:string domainName, )
        addRecordToZone(xs:int zoneId, xs:string Name,
                        xs:string Type, xs:string Content,
                        xs:int TimeToLive, xs:int Priority, )
        deleteAllRecordsForDomain(xs:int zoneId, )
        deleteRecordById(xs:int recordId, )
        deleteZoneById(xs:int zoneId, )
        deleteZoneByName(xs:string zoneName, )
        listRecords(xs:int zoneId, )
        listRecordsByType(xs:int zoneId, xs:string type, )
        listZones()
        renewZone(xs:int zoneId, )
        updateRecord(xs:int recordId, xs:string Name,
                     xs:string Type, xs:string Content,
                     xs:int TimeToLive, xs:int Priority, )

    Read complete description here:
    https://www.powerdns.net/services/express.asmx
    """
    def __init__(self, apikey):
        url = 'https://www.powerdns.net/services/express.asmx?WSDL'
        location = '%s&apikey=%s' % (url, apikey)
        super(Client, self).__init__(url, location=location)
